<?xml version="1.0" encoding="utf-8" ?>
<nlog xmlns="http://www.nlog-project.org/schemas/NLog.xsd"
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <targets async="true">
    <target xsi:type="File" name="info_file" 
			fileName="${basedir}/log/${shortdate}.log"            
			layout="${longdate} ${uppercase:${level}} ${message}"
			archiveEvery="Day" 
			archiveAboveSize="20480000"
			maxArchiveDays="10"
			maxArchiveFiles="10"			
			/>
			
	<targets>
		<target name="console" xsi:type="Console" layout="${longdate}|${level}|${message}"/>
	</targets>

  </targets>
  
  <rules>
	<logger name="Microsoft.*" minlevel="ERROR" writeTo="info_file" final="true" />
    <logger name="*" minlevel="Debug" writeTo="info_file" />
	<logger name="*" minlevel="Debug" writeTo="console" />
  </rules>
  

</nlog>